deposit_edge_attr_from_selection {DiagrammeR} | R Documentation

## Deposit edge attributes (based on a selection of edges) in the graph

### Description

From a graph object of class `dgr_graph`, get edge attribute properties for edges available in a selection and deposit those values in the graph for later retrieval using `withdraw_values`.

### Usage

    deposit_edge_attr_from_selection(graph, edge_attr, mode = NULL)

### Arguments

`graph` | a graph object of class `dgr_graph` that is created using `create_graph`.
`edge_attr` | the edge attribute from which to obtain values.
`mode` | a option to recast the returned vector of edge attribute value as `numeric` or `character`.

### Value

a graph object of class `dgr_graph`.

[Package DiagrammeR version 0.8.2 Index]